> ## Documentation Index
> Fetch the complete documentation index at: https://specbeeconsultingservices.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# GET Leave Requests

> Retrieves the current leave requests.The query can be filtered by a number of specific query parameters.



## OpenAPI

````yaml get /platform/api/leave_requests
openapi: 3.0.0
info:
  title: API Reference
  version: '1.0'
  contact:
    name: Rippling Support
    email: support@rippling.com
  license:
    name: MIT
  description: >-
    Using Rippling's API requires either an API key or an access token retrieved
    from an OAuth exchange. Each is tied to a single Rippling Company.


    If you are a partner building an integration to Rippling,you can use
    [Rippling's Installation
    Guide](https://developer.rippling.com/docs/rippling-api/fucwnbc121hiu-installation-guide)
    to learn how to retrieve an access token to start using Rippling APIs.


    If you are a customer, you can go
    [here](https://developer.rippling.com/docs/rippling-api/9rw6guf819r5f-introduction-for-customers)
    to learn create your API keys to start using Rippling APIs.


    ### Using the Interactive Documentation


    Rippling's Documentation Portal allows you to test the API endpoints
    directly within the documentation. To do so, provide your API key or Access
    Token as a header parameter with the form Authorization Bearer: Bearer.
  termsOfService: https://app.rippling.com/developer/tos
servers:
  - url: https://api.rippling.com
    description: Production
security:
  - Token: []
tags:
  - name: A. Companies
  - name: B. Employees
  - name: C. Payroll
  - name: D. 401k
  - name: F. Groups
  - name: G. SAML
  - name: E. Current User
  - name: H. ATS
  - name: I. Application Management
  - name: J. Reports
  - name: Deprecated
paths:
  /platform/api/leave_requests:
    parameters: []
    get:
      tags:
        - J. Leaves
      summary: GET Leave Requests
      description: >-
        Retrieves the current leave requests.The query can be filtered by a
        number of specific query parameters.
      operationId: get-leave_requests
      parameters:
        - schema:
            type: string
          in: query
          name: id
        - schema:
            type: string
          in: query
          name: role
        - schema:
            type: string
          in: query
          name: requestedBy
        - schema:
            type: string
          in: query
          name: status
        - schema:
            type: string
          in: query
          name: startDate
          description: Start date of leave.
        - schema:
            type: string
          in: query
          name: endDate
          description: End date of leave.
        - schema:
            type: string
          in: query
          name: leavePolicy
        - schema:
            type: string
          in: query
          name: processedBy
        - schema:
            type: string
          in: query
          name: from
          description: >-
            Filter to capture whether the leave request overlaps with a date
            range.
        - schema:
            type: string
          in: query
          name: to
          description: >-
            Filter to capture whether the leave request overlaps with a date
            range.
        - schema:
            type: string
          in: query
          name: limit
          description: Sets a limit on the returned values
        - schema:
            type: string
          in: query
          name: offset
          description: Offsets the returned values
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/LeaveRequest'
              examples:
                Success:
                  value:
                    - id: 5b998dfb40cae798a83e8874
                      createdAt: '2018-08-12T15:06:51.681000-07:00'
                      updatedAt: '2018-08-13T15:06:51.684000-07:00'
                      role: 5ae0b2cb40cae73202bd66cc
                      roleName: Jane Doe
                      requestedBy: 5ae0b2cb40cae73202bd66cc
                      requestedByName: Jane Doe
                      status: APPROVED
                      startDate: '2018-08-22'
                      endDate: '2018-08-24'
                      startDateStartTime: '2018-08-22T12:00:00.235000-07:00'
                      endDateEndTime: '2018-08-24T15:00:00.235000-07:00'
                      startDateCustomHours: 8
                      endDateCustomHours: 4
                      comments: null
                      numHours: 20
                      numMinutes: 1200
                      leavePolicy: 5b998cf940cae798a83e87fd
                      leaveType: VACATION
                      policyDisplayName: Vacation
                      processedAt: '2018-08-13T15:06:51.684000-07:00'
                      processedBy: 5ae0b2cb40cae73202bd66cc
                      processedByName: Funky Admin
                      reasonForLeave: Visiting hometown for my brother’s wedding
                      externalId: qwerty12345
                      roleTimezone: America/Los_Angeles
                      dates:
                        - date: '2018-08-22'
                          numMinutes: 480
                        - date: '2018-08-23'
                          numMinutes: 480
                        - date: '2018-08-24'
                          numMinutes: 240
      security:
        - Token: []
components:
  schemas:
    LeaveRequest:
      title: LeaveRequest
      type: object
      description: Leave request object.
      x-tags:
        - Models
      properties:
        id:
          type: string
          description: Unique identifier of the leave request.
        createdAt:
          type: string
        updatedAt:
          type: string
        role:
          type: string
          description: Unique identifier of the employee who is taking leave.
        roleName:
          type: string
        requestedBy:
          type: string
          nullable: true
        requestedByName:
          type: string
          description: >-
            Unique identifier of the employee who made the request (in most
            cases this is the same as role).
          nullable: true
        status:
          type: string
          enum:
            - PENDING
            - APPROVED
            - REJECTED
            - CANCELED
        startDate:
          type: string
        endDate:
          type: string
        startDateStartTime:
          type: string
          nullable: true
        endDateEndTime:
          type: string
          nullable: true
        startDateCustomHours:
          type: string
          nullable: true
        endDateCustomHours:
          type: string
          nullable: true
        comments:
          type: string
          nullable: true
        numHours:
          type: integer
          nullable: true
        numMinutes:
          type: integer
          nullable: true
        leavePolicy:
          type: string
        leaveTypeUniqueId:
          type: string
          enum:
            - VACATION
            - SICK
            - JURY_DUTY
          x-stoplight:
            id: 5027t5htx71ca
        policyDisplayName:
          type: string
        reasonForLeave:
          type: string
          nullable: true
        processedAt:
          type: string
          nullable: true
        processedBy:
          type: string
          description: >-
            Unique identifier of the employee who approved or rejected the
            request. This may be null.
          nullable: true
        processedByName:
          type: string
          nullable: true
        roleTimezone:
          type: string
          description: >-
            Timezone of the role. This will be work location timezone, or home
            timezone for employees without a work location.
          nullable: true
        dates:
          type: array
          items:
            type: object
            properties:
              date:
                type: string
                format: date
              numMinutes:
                type: integer
        isPaid:
          type: boolean
          description: >-
            If the leave request is paid this will be TRUE. Otherwise, this will
            be FALSE.
          x-stoplight:
            id: kpec0dv84c37r
        managedBy:
          type: string
          x-stoplight:
            id: kpec0dv84c37r
          enum:
            - PTO
            - LEAVES
            - TILT
          description: >-
            This indicates the system that manages the Leave Request. PTO =
            managed by Rippling's Time Off app. LEAVES = managed by Rippling's
            Leave Management app. TILT = managed by third-party partner Tilt.
        partialDays:
          type: array
          x-stoplight:
            id: j5hp2dwf5fq4x
          items:
            x-stoplight:
              id: 3blh0wzzsznnx
            type: object
            nullable: true
            properties:
              partialDay:
                type: string
                x-stoplight:
                  id: x3jcwqkp9dmzu
                format: date
              numMinutes:
                type: integer
                x-stoplight:
                  id: a5rt8hxcn4yww
  securitySchemes:
    Token:
      type: http
      scheme: bearer

````